#include "mainwindow.h"

//System includes
#include <QFileSystemModel>
#include <QGridLayout>
#include <QHeaderView>
#include "treeview.h"

MainWindow::MainWindow(QWidget *parent)
  : QMainWindow(parent)
{
  QFileSystemModel* model = new QFileSystemModel(this);
  
  TreeView* tree = new TreeView;
  tree->setModel( model );  
  tree->setRootIndex( model->setRootPath( "/tmp" ) );
  tree->header()->close();
  tree->setDragEnabled( true );
  tree->viewport()->setAcceptDrops( true );
  tree->setDropIndicatorShown( true );
  tree->setSelectionMode( QAbstractItemView::ExtendedSelection );
  tree->setDragDropMode( QAbstractItemView::QAbstractItemView::DragDrop );
  
  for( int i=0; i < model->columnCount(); ++i ) { tree->hideColumn( i ); }
  tree->showColumn( 0 );
  
  QWidget* container = new QWidget;
  QGridLayout* grid = new QGridLayout( container );
  grid->setMargin( 0 );
  grid->addWidget( tree );
  setCentralWidget( container );
}

MainWindow::~MainWindow()
{
}
