/*
 * Copyright (C) Filip Bucek - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Filip Bucek <fbucek@invloop.cz>, 2019
 */
#include "treeview.h"

#include <QMimeData>
#include <QUrl>
#include <QDrag>

TreeView::TreeView(QWidget *parent) : QTreeView(parent)
{

}

void TreeView::TreeView::mouseMoveEvent(QMouseEvent *event)
{
    QList<QUrl> list;
    auto indexes = selectedIndexes();

    QString text;
    for (const QModelIndex &index : indexes) {
        auto path = index.data().toString();
        QUrl url = QUrl::fromLocalFile(path);
        if (!text.isEmpty())
            text += QLatin1String("\n");
        text += url.toString();
        list << url;
    }

    //mime->setText(text);
    auto mime = new QMimeData();
    mime->setUrls(list);



    auto drag = new QDrag(this);
    drag->setMimeData(mime);
    // @see Drag and drop bug: https://bugreports.qt.io/browse/QTBUG-71939
    Qt::DropAction dropAction = drag->exec(Qt::CopyAction | Qt::MoveAction,  Qt::CopyAction);

}
